Microsimulation API: ssim::Rng Class Reference

Microsimulation API

Public Types | Public Member Functions | Public Attributes | List of all members
ssim::Rng Class Reference

`#include <microsimulation.h>`

Inheritance diagram for ssim::Rng:
[legend]
Collaboration diagram for ssim::Rng:
[legend]

## Public Types
typedef double | result_type

## Public Member Functions
result_type | operator() ()
result_type | min ()
result_type | max ()
| Rng ()
virtual | ~Rng ()
void | seed (const double seed[6])
void | set ()
void | nextSubstream ()
Public Member Functions inherited from ssim::RngStream
| RngStream (const char *name="")
void | ResetStartStream ()
void | ResetStartSubstream ()
void | ResetNextSubstream ()
void | SetAntithetic (bool a)
void | IncreasedPrecis (bool incp)
bool | SetSeed (const double seed[6])
void | GenAdvanceState (int32_t e, int32_t c, const double A1[3][3], const double A2[3][3], const double InvA1[3][3], const double InvA2[3][3])
void | AdvanceState (int32_t e, int32_t c)
void | AdvanceSubstream (int32_t e, int32_t c)
void | AdvanceStream (int32_t e, int32_t c)
void | CalcMatrix (int32_t e, int32_t c, double C1[3][3], double C2[3][3])
void | GetState (double seed[6]) const
double | RandU01 ()
int | RandInt (int i, int j)

## Public Attributes
int | id

## Additional Inherited Members
Static Public Member Functions inherited from ssim::RngStream
static bool | SetPackageSeed (const double seed[6])

## Detailed Description

Definition at line 548 of file microsimulation.h.

## Member Typedef Documentation

## ◆ result_type

typedef double ssim::Rng::result_type

Definition at line 550 of file microsimulation.h.

## Constructor & Destructor Documentation

## ◆ Rng()

ssim::Rng::Rng | ( |  | ) |
| inline

Definition at line 554 of file microsimulation.h.

## ◆ ~Rng()

ssim::Rng::~Rng | ( |  | ) |
| virtual

Definition at line 21 of file microsimulation.cc.

## Member Function Documentation

## ◆ max()

result_type ssim::Rng::max | ( |  | ) |
| inline

Definition at line 553 of file microsimulation.h.

## ◆ min()

result_type ssim::Rng::min | ( |  | ) |
| inline

Definition at line 552 of file microsimulation.h.

## ◆ nextSubstream()

void ssim::Rng::nextSubstream | ( |  | ) |
| inline

Definition at line 560 of file microsimulation.h.

## ◆ operator()()

result_type ssim::Rng::operator() | ( |  | ) |
| inline

Definition at line 551 of file microsimulation.h.

## ◆ seed()

void ssim::Rng::seed | ( | const double | seed[6] | ) |
| inline

Definition at line 556 of file microsimulation.h.

## ◆ set()

void ssim::Rng::set | ( |  | ) |

Definition at line 26 of file microsimulation.cc.

## Member Data Documentation

## ◆ id

int ssim::Rng::id

Definition at line 561 of file microsimulation.h.

The documentation for this class was generated from the following files:

- /home/marcle/src/R/microsimulation/inst/include/microsimulation.h
- /home/marcle/src/R/microsimulation/src/microsimulation.cc